Subject: Re: [mobile-ip] Mipv6 issue #139: 9.4.1 and 11.7.2 text in conflict about HAO inCN BUs

From: Samita Chakrabarti <[email-masked]>
Date: Wed, 16 Oct 2002 16:49:27 -0700 (PDT)

Hi Jari,

> Not really, more like aligning this with the rest of HAO handling.
> But I don't have a strong preference either way. But we have a couple
> of folks agreeing with the fix-941 approach off the list so maybe
> we should stick to that. If so, let's add after the bullet list
> a new paragraph that tells how to find a "home address for the
> binding" -- we already have a paragraph for the care-of address
> which can also appear in different places.
> 
>     The home address for the binding MUST be determined as follows:
> 
>      -  If the Home Address destination option is present, the home
>         address is the address in that option.
> 
>      -  Otherwise, the home address is the Source Address field in the
>         packet's IPv6 header.

As per the last paragraph in section 9.4.1, a binding update can have
it's ipv6 src addr = home-addr = coa, only when the MN is at home and
it is de-registering with lifetime=0. There is no point accepting BU
when lifetime is non-zero and when there is no HOA destination option,
right ?

So, we can write the above last bullet as:

      -  Otherwise, the home address is the Source Address field in the
          packet's IPv6 header if the lifetime field of the binding update
          is zero.   

Thanks,
-Samita

---

From: gabriel montenegro <[email-masked]>
Date: Thu, 17 Oct 2002 03:50:08 +0200

>           packet's IPv6 header if the lifetime field of the binding update

What if the MN deletes the binding when not away from home?

I think Jari's original text is simpler, clearer and a better
parallel to the existing text on determining the care-of address.

-gabriel